package com.bwie.test.controller;

import com.bwie.common.domain.Test;
import com.bwie.common.result.Result;
import com.bwie.test.service.TestService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：杨鹏
 * @Package：com.bwie.test.controller
 * @Project：yp_rikao14
 * @name：TestController
 * @Date：2024/8/7 18:41
 */
@RestController
@RequestMapping("test")
public class TestController {

    @Autowired
    private TestService testService;

    @GetMapping("login")
    public Result login(){
        Test test = new Test();
        test.setToken("12545");
        return Result.success(test);
    }


    @GetMapping("list")
    public Result list(){
        return testService.list();
    }


}
