package com.bwie.test.service.impl;

import com.bwie.common.domain.Test;
import com.bwie.common.result.Result;
import com.bwie.test.mapper.TestMapper;
import com.bwie.test.service.TestService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：杨鹏
 * @Package：com.bwie.test.service.impl
 * @Project：yp_rikao14
 * @name：TestServiceImpl
 * @Date：2024/8/7 18:42
 */
@Service
public class TestServiceImpl implements TestService {

    @Autowired
    private TestMapper testMapper;

    @Override
    public Result list() {
        List<Test> testList = testMapper.list();
        return Result.success(testList);
    }
}
